Package org.apache.solr.client.solrj.beans

# Class DocumentObjectBinder

java.lang.Object
org.apache.solr.client.solrj.beans.DocumentObjectBinder

public class DocumentObjectBinder extends Object
Maps objects to and from Solr documents.

Since:
  solr 1.3

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`DocumentObjectBinder.DocField`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT`
`static final DocumentObjectBinder`
`INSTANCE`
The singleton/default instance.

## Constructor Summary

Constructors
Constructor
Description
`DocumentObjectBinder()`

## Method Summary

Modifier and Type
Method
Description
`protected List<DocumentObjectBinder.DocField>`
`collectInfo(Class<?> clazz)`
`<T> T`
`getBean(Class<T> clazz, SolrDocument solrDoc)`
`<T> List<T>`
`getBeans(Class<T> clazz, SolrDocumentList solrDocList)`
`SolrInputDocument`
`toSolrInputDocument(Object obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final DocumentObjectBinder INSTANCE
The singleton/default instance. The implementation is loaded via `ServiceLoader`, so it's customizable.

### DEFAULT

public static final String DEFAULT

See Also:
  - Constant Field Values

## Constructor Details

### DocumentObjectBinder

public DocumentObjectBinder()

## Method Details

### getBeans

public <T> List<T> getBeans(Class<T> clazz, SolrDocumentList solrDocList)

### getBean

public <T> T getBean(Class<T> clazz, SolrDocument solrDoc)

### toSolrInputDocument

public SolrInputDocument toSolrInputDocument(Object obj)

### collectInfo

protected List<DocumentObjectBinder.DocField> collectInfo(Class<?> clazz)